package com.chinaitop.depot;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

import com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration;

@EnableEurekaClient
@EnableDiscoveryClient
@SpringBootApplication(exclude = PageHelperAutoConfiguration.class)
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
public class DepotKeeperAccountApplication {

	public static void main(String[] args) {
		SpringApplication.run(DepotKeeperAccountApplication.class, args);
	}
	
	@Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }
}
