package com.chinaitop.depot.customer.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.customer.model.BusinessCustomer;
import com.chinaitop.depot.customer.model.BusinessCustomerExample;



public interface BusinessCustomerService {
	
	List<BusinessCustomer> queryByExample(BusinessCustomerExample example);
	
	BusinessCustomer findById(Integer id);
	
	void add(BusinessCustomer customer, Integer orgId);
	
	void update(BusinessCustomer customer);
	
	void remove(Integer id,Integer orgId);

    /**
     * 加入黑名单.
     * @param id
     * @return
     */
    Map<String, Object> putInBlackList(Integer id);

    /**
     * 移出黑名单.
     * @param id
     * @return
     */
    Map<String, Object> removeBlackList(Integer id);

    /**
     * 查询列表.
     * @param pageNum
     * @param pageSize
     * @param customer
     * @param orgId
     * @return
     */
    List<BusinessCustomer> list(Integer pageNum, Integer pageSize,
            BusinessCustomer customer, Integer orgId);

    /**
     * 客户档案管理客户统一社会信用代码或身份证号重复校验
     * @param orgId 组织机构ID
     * @param zjh 证件号
     * @param customerId 客户ID
     * @param customerType 客户类型(3152:个人客户,3153:企业客户)
     * @param customerName 客户名称
     * @return
     * @throws Exception
     */
	String checkRepeat(Integer orgId, String zjh, Integer customerId, Integer customerType, String customerName) throws Exception;

	/**
	 * 按条件查询客户信息
	 * @param orgId 组织机构ID
	 * @param customerType 客户类型(3152:个人客户,3153:企业客户)
	 * @param customerName 客户名称
	 * @return
	 */
	Integer queryCustomerObj(Integer orgId, Integer customerType, String customerName);

}
