package com.chinaitop.depot.grainAnalysis.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class GrainAnalysis {
    private Integer id;

    /**
     * 编号
     */
    private String bh;

    /**
     * 粮库名称
     */
    private String lkmc;

    /**
     * 仓房Id
     */
    private Integer houseId;

    /**
     * 仓房编号
     */
    private String houseCode;

    /**
     * 货位Id
     */
    private Integer warehouseId;

    /**
     * 仓房类型
     */
    private Integer houseType;

    /**
     * 粮食品种
     */
    private Integer lspz;

    /**
     * 责任保管人
     */
    private String zrbgy;

    /**
     * 提交人
     */
    private String tjr;

    /**
     * 检查起始日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date jcqsrq;

    /**
     * 检查终止日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date jczzrq;

    /**
     * 提交日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date tjrq;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    private Integer orgId;

    /**
     * 粮情分析
     */
    private String lqfx;

    /**
     * 粮请状况
     */
    private String lqzk;

    /**
     * 结论
     */
    private String jl;

    /**
     * 仓储科长意见
     */
    private String cckzyj;

    /**
     * 备注
     */
    private String bz;

    /**
     * 检查年份
     */
    private Integer jcnf;

    /**
     * 检查月份
     */
    private Integer jcyf;

    /**
     * 检查季度
     */
    private Integer jcjd;

    /**
     * 类型 1：周报 2月报 3季报
     */
    private Integer type;

    /**
     * 异常情况与四无检查
     */
    private List<GrainAnalysisAbnormal> grainAnalysisAbnormalList;

    /**
     * 温湿度数据
     */
    private List<TTestdata> tTestdata;

    /**
     * null
     * @return id null
     */
    public Integer getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * null
     * @return bh null
     */
    public String getBh() {
        return bh;
    }

    /**
     * null
     * @param bh null
     */
    public void setBh(String bh) {
        this.bh = bh == null ? null : bh.trim();
    }

    /**
     * null
     * @return lkmc null
     */
    public String getLkmc() {
        return lkmc;
    }

    /**
     * null
     * @param lkmc null
     */
    public void setLkmc(String lkmc) {
        this.lkmc = lkmc == null ? null : lkmc.trim();
    }

    /**
     * null
     * @return house_id null
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * null
     * @param houseId null
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * null
     * @return house_code null
     */
    public String getHouseCode() {
        return houseCode;
    }

    /**
     * null
     * @param houseCode null
     */
    public void setHouseCode(String houseCode) {
        this.houseCode = houseCode == null ? null : houseCode.trim();
    }

    /**
     * null
     * @return warehouse_id null
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * null
     * @param warehouseId null
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * null
     * @return house_type null
     */
    public Integer getHouseType() {
        return houseType;
    }

    /**
     * null
     * @param houseType null
     */
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }

    /**
     * null
     * @return lspz null
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * null
     * @param lspz null
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * null
     * @return zrbgy null
     */
    public String getZrbgy() {
        return zrbgy;
    }

    /**
     * null
     * @param zrbgy null
     */
    public void setZrbgy(String zrbgy) {
        this.zrbgy = zrbgy == null ? null : zrbgy.trim();
    }

    /**
     * null
     * @return tjr null
     */
    public String getTjr() {
        return tjr;
    }

    /**
     * null
     * @param tjr null
     */
    public void setTjr(String tjr) {
        this.tjr = tjr == null ? null : tjr.trim();
    }

    /**
     * null
     * @return jcqsrq null
     */
    public Date getJcqsrq() {
        return jcqsrq;
    }

    /**
     * null
     * @param jcqsrq null
     */
    public void setJcqsrq(Date jcqsrq) {
        this.jcqsrq = jcqsrq;
    }

    /**
     * null
     * @return jczzrq null
     */
    public Date getJczzrq() {
        return jczzrq;
    }

    /**
     * null
     * @param jczzrq null
     */
    public void setJczzrq(Date jczzrq) {
        this.jczzrq = jczzrq;
    }

    /**
     * null
     * @return tjrq null
     */
    public Date getTjrq() {
        return tjrq;
    }

    /**
     * null
     * @param tjrq null
     */
    public void setTjrq(Date tjrq) {
        this.tjrq = tjrq;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return lqfx null
     */
    public String getLqfx() {
        return lqfx;
    }

    /**
     * null
     * @param lqfx null
     */
    public void setLqfx(String lqfx) {
        this.lqfx = lqfx == null ? null : lqfx.trim();
    }

    /**
     * null
     * @return lqzk null
     */
    public String getLqzk() {
        return lqzk;
    }

    /**
     * null
     * @param lqzk null
     */
    public void setLqzk(String lqzk) {
        this.lqzk = lqzk == null ? null : lqzk.trim();
    }

    /**
     * null
     * @return jl null
     */
    public String getJl() {
        return jl;
    }

    /**
     * null
     * @param jl null
     */
    public void setJl(String jl) {
        this.jl = jl == null ? null : jl.trim();
    }

    /**
     * null
     * @return cckzyj null
     */
    public String getCckzyj() {
        return cckzyj;
    }

    /**
     * null
     * @param cckzyj null
     */
    public void setCckzyj(String cckzyj) {
        this.cckzyj = cckzyj == null ? null : cckzyj.trim();
    }

    /**
     * null
     * @return bz null
     */
    public String getBz() {
        return bz;
    }

    /**
     * null
     * @param bz null
     */
    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    /**
     * null
     * @return jcnf null
     */
    public Integer getJcnf() {
        return jcnf;
    }

    /**
     * null
     * @param jcnf null
     */
    public void setJcnf(Integer jcnf) {
        this.jcnf = jcnf;
    }

    /**
     * null
     * @return jcyf null
     */
    public Integer getJcyf() {
        return jcyf;
    }

    /**
     * null
     * @param jcyf null
     */
    public void setJcyf(Integer jcyf) {
        this.jcyf = jcyf;
    }

    /**
     * null
     * @return jcjd null
     */
    public Integer getJcjd() {
        return jcjd;
    }

    /**
     * null
     * @param jcjd null
     */
    public void setJcjd(Integer jcjd) {
        this.jcjd = jcjd;
    }

    /**
     * null
     * @return type null
     */
    public Integer getType() {
        return type;
    }

    /**
     * null
     * @param type null
     */
    public void setType(Integer type) {
        this.type = type;
    }

    public List<GrainAnalysisAbnormal> getGrainAnalysisAbnormalList() {
        return grainAnalysisAbnormalList;
    }

    public void setGrainAnalysisAbnormalList(List<GrainAnalysisAbnormal> grainAnalysisAbnormalList) {
        this.grainAnalysisAbnormalList = grainAnalysisAbnormalList;
    }

    public List<TTestdata> gettTestdata() {
        return tTestdata;
    }

    public void settTestdata(List<TTestdata> tTestdata) {
        this.tTestdata = tTestdata;
    }
}