package com.chinaitop.depot.keeperAccount.service.impl;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.ObjectUtils;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.keeperAccount.mapper.StorageAccountRecordMapper;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecordExample;
import com.chinaitop.depot.keeperAccount.service.StorageAccountRecordService;

@Service
public class StorageAccountRecordServiceImpl implements StorageAccountRecordService {

	@Resource
	private StorageAccountRecordMapper mapper;

	@Override
	public void add(StorageAccountRecord record) {
		mapper.insertSelective(record);
	}

	@Override
	public void update(StorageAccountRecord record) {
		mapper.updateByPrimaryKeySelective(record);
	}

	@Override
	public List<StorageAccountRecord> findByConditon(StorageAccountRecordExample example) {
		return mapper.selectByExample(example);
	}

	@Override
	public Map<String, Object> selectOrCheckStorageAccountRecord(HttpServletRequest request, String houseId, String wareId, Integer hwxz,
			Integer lspz, String rq, Integer accountType, Map<String, Object> map, Integer orgId) {
		
		StorageAccountRecord record = null;
		StorageAccountRecordExample example = new StorageAccountRecordExample();
		StorageAccountRecordExample.Criteria criteria = example.createCriteria();
		if (houseId != null && !"".equals(houseId)) {
			criteria.andHouseIdEqualTo(houseId);
		}
		if (wareId != null && !"".equals(wareId)) {
			criteria.andWareIdEqualTo(wareId);
		}
		criteria.andHwxzEqualTo(hwxz);
		criteria.andLspzEqualTo(lspz);
		criteria.andAccountTypeEqualTo(accountType);
		if (accountType == 1) {
			criteria.andRqEqualTo(rq);
		} else {
			criteria.andRqEqualTo(rq);
		}
		//String orgId = ObjectUtils.toString(request.getSession().getAttribute("orgId"),"");
		criteria.andOrgIdEqualTo(orgId);

		List<StorageAccountRecord> list = mapper.selectByExample(example);
		if (null != list && list.size() > 0) {
			record = list.get(0);
		} else {
			record = new StorageAccountRecord();
		}
		map.put("obj", record);

		return map;
	}

	@Override
	public List<Map<String, Object>> selectKeepSumAccountData(Map<String, Object> map) {
		return mapper.selectKeepSumAccount(map);
	}

	@Override
	public List<Map<String, Object>> selectKCSL(Map<String, Object> map) {
		return mapper.selectKCSL(map);
	}

	@Override
	public List<Map<String, Object>> selectAccountGroup(Map<String, Object> map) {
		return mapper.selectAccountGroup(map);
	}
}
