package com.chinaitop.depot.keeperAccount.service.impl;

import com.chinaitop.depot.keeperAccount.mapper.StorageKeepVoucherMapper;
import com.chinaitop.depot.keeperAccount.model.StorageKeepVoucher;
import com.chinaitop.depot.keeperAccount.model.StorageKeepVoucherExample;
import com.chinaitop.depot.keeperAccount.service.StorageKeepVoucherService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.UUID;

@Service
public class StorageKeepVoucherServiceImpl implements StorageKeepVoucherService {

    @Resource
    private StorageKeepVoucherMapper storageKeepVoucherMapper;

    @Override
    public List<StorageKeepVoucher> getList(Integer ch, Integer hwh, Integer orgId, String yDataid) throws Exception {

        List<StorageKeepVoucher> list = null;

        StorageKeepVoucherExample example = new StorageKeepVoucherExample();
        StorageKeepVoucherExample.Criteria criteria = example.createCriteria();
        if (null != ch)
            criteria.andChEqualTo(ch);
        if (null != hwh)
            criteria.andHwhEqualTo(hwh);
        if (null != orgId)
            criteria.andOrgIdEqualTo(orgId);
        if (StringUtils.isNotBlank(yDataid))
            criteria.andYDataidEqualTo(yDataid);
        example.setOrderByClause(" createtime desc");

        list = storageKeepVoucherMapper.selectByExample(example);

        return list;
    }

    @Override
    public StorageKeepVoucher findByIdCondition(String id) throws Exception {
        StorageKeepVoucher storageKeepVoucher = storageKeepVoucherMapper.selectByPrimaryKey(id);
        return storageKeepVoucher;
    }

    @Override
    public void addOrUpdate(StorageKeepVoucher storageKeepVoucher) throws Exception {

        if (StringUtils.isBlank(storageKeepVoucher.getId())) {//新增
            String id = UUID.randomUUID().toString().replace("-", "");
            storageKeepVoucher.setId(id);
            storageKeepVoucher.setCreatetime(new Date());
            storageKeepVoucherMapper.insert(storageKeepVoucher);
        } else {//修改
            storageKeepVoucherMapper.updateByPrimaryKey(storageKeepVoucher);
        }
    }
}
