package com.chinaitop.depot.profitlossStatement.controller;


import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossStatement;
import com.chinaitop.depot.profitlossStatement.service.StorageProfitlossStatementService;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 损溢单
 * @author My Sunshine
 *
 */
@RestController
@RequestMapping(value="/storageProStateAuditPass")
@Api(value= "StorageProStateAuditPassController", description = "审批通过损溢单")

public class StorageProStateAuditPassController {

    @Resource
    private StorageProfitlossStatementService storageProfitlossStatementService;

    /**
     * 查找审批通过列表
     * @param pageNum  页码
     * @param pageSize 每页显示条数
     * @return
     * @throws Exception
     */
    @RequestMapping(value="/getList",produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
    @ApiOperation(value="损溢单审批通过列表", notes = "查询数据列表，支持分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
            @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query")
    })
    public PageInfo<StorageProfitlossStatement> getList(Integer pageNum, Integer pageSize,HttpServletRequest request, StorageProfitlossStatement storageProfitlossStatement) throws Exception {

        List<StorageProfitlossStatement> list = storageProfitlossStatementService.queryByExample(pageNum, pageSize,storageProfitlossStatement);
        PageInfo<StorageProfitlossStatement> pageInfo = new PageInfo<StorageProfitlossStatement>(list);
        return pageInfo;
    }


   

    
}