package com.chinaitop.depot.pushs.service.impl;

import java.util.*;
import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.fastjson.JSON;
import com.chinaitop.depot.profitlossStatement.mapper.StorageProfitlossStatementMapper;
import com.chinaitop.depot.pushs.service.PushsService;
import com.chinaitop.depot.unissoft.model.ResponseEntity;

@Service
public class PushServiceImpl implements PushsService{
	
    final static Logger logger  =  LoggerFactory.getLogger(PushServiceImpl.class );


	@Resource
	private StorageProfitlossStatementMapper storageProfitlossStatementMapper;



	@Transactional(rollbackFor = Exception.class)
	@Override
	public String getProfitlossDatas(String orgId, String ids ) {
		
		
		Map<String,Object> mapCondition = new HashMap<String, Object>();
		mapCondition.put("orgId",orgId);
		if(null!=ids &&!"".equals(ids) && !"null".equals(ids) && "null" != ids) {
			List<String> idsList = Arrays.asList(ids.split(","));
			mapCondition.put("ids", idsList);
		}
		List<Map<String,Object>> mainList =storageProfitlossStatementMapper.getProfitlossDatas(mapCondition);
		
		return JSON.toJSONString(ResponseEntity.ok(mainList));
	}


}
